* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

@font-face {
  font-family: "64";
  src: url("../assets/fonts/Sixtyfour_Convergence/SixtyfourConvergence-Regular-VariableFont_BLED\,SCAN\,XELA\,YELA.ttf")
    format("truetype");
  color: black;
}

body {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  min-height: 100vh;
  margin: 0;
  background-image: url("../assets/img/10_desert/desert.png");
  background-position: center;
  font-family: "64", Arial, sans-serif;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  background-color: lightgray;
  height: 100vh;
  overflow: hidden;
}

h1 {
  font-size: 50px;
  letter-spacing: 3px;
  text-shadow: 4px 4px 8px rgba(0, 0, 0, 0.5);
}

.d-none {
  display: none !important;
}

canvas {
  background-color: black;
  width: 100%;
  aspect-ratio: (16/9);
  max-height: 100%;
}

.canvasBody {
  position: absolute !important;
}

#start {
  background-image: url("../assets/img/9_intro_outro_screens/start/startscreen_2.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center right -60px;
  display: flex;
  flex-direction: column;
  gap: 80px;
  position: absolute;
  height: 100%;
  width: 100%;
}

#content {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  max-width: 720px;
  min-height: 480px;
}

.gameTasten {
  background-color: rgba(0, 0, 0, 0.5);
  text-align: center;
  margin: 10px;
  padding: 10px;
}

#landscape {
  background-color: black;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  font-size: 50px;
  padding: 50px;
  width: 100%;
  display: flex;
  flex-direction: column;
  display: block !important;
}

#landscape span {
  display: flex;
  flex-direction: column;
  gap: 10px;
  text-wrap: balance;
  font-size: 12vw;
}

#winningScreen {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 40px;
  background-color: #fc6e22;
  height: 100%;
  width: 100%;
}

#endScreen {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 40px;
  background-color: #fc6e22;
  height: 100%;
  width: 100%;
}

#game-rules b {
  color: #ffff66;
  font-size: 48px;
  text-decoration: underline;
}

#gameRules {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: 40px;
  padding: 10px;
  background-color: black;
  gap: 40px;
  background-position: center right -00px;
  text-align: center;
  height: 480px;
}

#closeX {
  position: sticky;
  top: 0px;
  border-radius: 25%;
  cursor: pointer;
  width: max-content;
  margin-left: auto;
  font-size: 35px;
  text-shadow: none;
}

.iconsFrom {
  position: fixed;
  top: 10px;
  left: 20px;
  font-size: 20px;
  letter-spacing: 2px;
}

#Impressum {
  height: 480px;
  background-color: #fc6e22;
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
  font-size: 24px;
  text-shadow: 1px 1px white;
  font-family: Arial, Helvetica, sans-serif;
  letter-spacing: 1px;
  padding: 24px;
  overflow: scroll;
  scrollbar-width: none;
}

#endScreen {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  padding: 20px;
  position: absolute;
  background-color: #fc6e22;
  overflow: hidden;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

#quitGame,
#restart,
.muteOff,
.muteOn {
  background-position: center;
  background-size: 30px;
  background-repeat: no-repeat;
  background-color: transparent;
}

#quitGame,
#restart,
#mute {
  border: none;
  width: 35px;
  height: 40px;
  outline: none;
}

#quitGame:hover,
#restart:hover,
#mute:hover {
  cursor: pointer;
}

#steeringBTNMobile {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: absolute;
  bottom: 0;
  left: 0;
  padding-bottom: 10px;
  border-radius: 15px;
}

.steeringLeftSide {
  display: flex;
  justify-content: flex-start;
  gap: 20px;
  width: 50%;
  padding-left: 20px;
}

.steeringRightSide {
  display: flex;
  justify-content: flex-end;
  gap: 20px;
  width: 50%;
  padding-right: 20px;
  align-items: center;
  padding-bottom: 5px;
}

#mobileBTNS {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: absolute;
  bottom: 0;
  left: 0;
  padding-bottom: 30%;
  border-radius: 15px;
}

.steeringLeftSide {
  display: flex;
  justify-content: flex-start;
  gap: 20px;
  width: 50%;
  padding-left: 20px;
}

.steeringRightSide {
  display: flex;
  justify-content: flex-end;
  gap: 20px;
  width: 50%;
  padding-right: 20px;
  align-items: center;
  padding-bottom: 5px;
}
